---
lang: en
title: 'API docs: graphql.graphqlcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLComponent](./graphql.graphqlcomponent.md)

## GraphQLComponent class

Component for GraphQL

**Signature:**

```typescript
export declare class GraphQLComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app)](./graphql.graphqlcomponent._constructor_.md) |  | Constructs a new instance of the <code>GraphQLComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./graphql.graphqlcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] |  |


